"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const load_typedefs_1 = require("./load-typedefs");
const kinds_1 = require("graphql/language/kinds");
exports.OPERATION_KINDS = [kinds_1.Kind.OPERATION_DEFINITION, kinds_1.Kind.FRAGMENT_DEFINITION];
exports.NON_OPERATION_KINDS = Object.keys(kinds_1.Kind).reduce((prev, v) => [...prev, kinds_1.Kind[v]], []).filter(v => !exports.OPERATION_KINDS.includes(v));
async function loadDocuments(documentDef, options = {}, cwd = process.cwd()) {
    return await load_typedefs_1.loadTypedefs(documentDef, options, exports.NON_OPERATION_KINDS, cwd);
}
exports.loadDocuments = loadDocuments;
;
//# sourceMappingURL=documents.js.map