"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schemaPrinter_1 = require("graphql/utilities/schemaPrinter");
const printer_1 = require("graphql/language/printer");
function printSchemaWithDirectives(schema) {
    const allTypes = schema.getTypeMap();
    const allTypesAst = Object.keys(allTypes).map(key => allTypes[key].astNode).filter(a => a);
    return allTypesAst.length === 0 ? schemaPrinter_1.printSchema(schema) : allTypesAst.map(ast => printer_1.print(ast)).join('\n');
}
exports.printSchemaWithDirectives = printSchemaWithDirectives;
//# sourceMappingURL=print-schema-with-directives.js.map